<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">

<h:head>

</h:head>

<h:body>

    <p:growl id="growl" life="2000" />
	<h:form>
		<h:panelGrid columns="2" cellpadding="5" id="cadastro">
			<h:outputLabel for="Matricula" value="Matricula:" style="font-weight:bold" />
			<p:inputText id="Matricula" value="#{concluinte.aluno.matricula}" />

			<h:outputLabel for="Nome" value="Nome:" style="font-weight:bold" />
			<p:inputText id="Nome" value="#{concluinte.aluno.nome}" />

			<h:outputLabel for="Email" value="E-mail:" style="font-weight:bold" />
			<p:inputText id="Email" value="#{concluinte.aluno.email}" />

			<h:outputLabel for="Telefone" value="Telefone:" style="font-weight:bold" />
			<p:inputText id="Telefone" value="#{concluinte.aluno.telefone}" />

			<p:commandButton update="growl,dados" value="Salvar" actionListener="#{concluinte.salvar}" icon="ui-icon-check"/>
			
		</h:panelGrid>
	</h:form>
	
	
    <h:panelGrid id="dados">
	    <h:form>
			<p:dataTable id="tableConcluintes" editable="true" var="con"  value="#{concluinte.alunos}" sortMode="multiple" selection="#{concluinte.aluno}" rowKey="#{con.matricula}">    
				<p:ajax event="rowEdit" listener="#{concluinte.onRowEdit}" update="growl" />
 
				<p:column selectionMode="single"/>
				
				<p:column headerText="Matricula" sortBy="#{con.matricula}">
					<h:outputText value="#{con.matricula}" />
				</p:column>
	
				<p:column headerText="Nome" sortBy="#{con.nome}">
					<p:cellEditor>
		               <f:facet name="output"><h:outputText value="#{con.nome}" /></f:facet>
		               <f:facet name="input"><p:inputText id="modelInput" value="#{con.nome}" style="width:100%"/></f:facet>
		           </p:cellEditor>
				</p:column>
	
				<p:column headerText="E-mail" sortBy="#{con.email}">
					<h:outputText value="#{con.email}" />
				</p:column>
	
				<p:column headerText="Telefone" sortBy="#{con.telefone}">
					<h:outputText value="#{con.telefone}" />
				</p:column>
				<p:column style="width:32px">
           <p:rowEditor />
       </p:column>
				 <f:facet name="footer">
		            <p:commandButton process="tableConcluintes" update="tableConcluintes" icon="ui-icon-search" value="Apagar" actionListener="#{concluinte.apagar}"/>
		        </f:facet>
			</p:dataTable>
		</h:form>
    
    </h:panelGrid>
    	
    	
    	
    	<h:form>
		<h:panelGrid columns="2" cellpadding="5" id="professorCadastro">
			<h:outputLabel for="Matricula" value="Matricula:" style="font-weight:bold" />
			<p:inputText id="Matricula" value="#{concluinte.professor.matricula}" />

			<h:outputLabel for="Nome" value="Nome:" style="font-weight:bold" />
			<p:inputText id="Nome" value="#{concluinte.professor.nome}" />

			<p:commandButton update="growl,professorDados" value="Salvar" actionListener="#{concluinte.salvarProfessor}" icon="ui-icon-check"/>
		</h:panelGrid>
	</h:form>
	
	 <h:panelGrid id="professorDados">
	    <h:form>
			<p:dataTable id="professorTable" editable="true" var="prof"  value="#{concluinte.professores}" sortMode="multiple" selection="#{concluinte.professor}" rowKey="#{prof.matricula}">    
				
				<p:ajax event="rowEdit" listener="#{concluinte.onRowEdit}" update="growl" />
 
				<p:column selectionMode="single"/>
				
				<p:column headerText="Matricula" sortBy="#{prof.matricula}">
					<h:outputText value="#{prof.matricula}" />
				</p:column>
	
				<p:column headerText="Nome" sortBy="#{prof.nome}">
					<p:cellEditor>
		               <f:facet name="output"><h:outputText value="#{prof.nome}" /></f:facet>
		               <f:facet name="input"><p:inputText id="modelInput" value="#{prof.nome}" style="width:100%"/></f:facet>
		           </p:cellEditor>
				</p:column>
	
				<p:column style="width:32px">
    		       <p:rowEditor />
       			</p:column>
				
				<f:facet name="footer">
		            <p:commandButton process="professorTable" update="professorTable" icon="ui-icon-search" value="Apagar" actionListener="#{concluinte.professorApagar}"/>
		        </f:facet>
			</p:dataTable>
		</h:form>
    
    </h:panelGrid>
    
    
    <h:form>
    	<h:panelGrid columns="2" cellpadding="5" id="processoCadastro">
			<h:outputLabel for="numero" value="Número do processo:" style="font-weight:bold" />
			<p:inputText id="numero" value="#{concluinte.processo.numero}" />
			
			<p:outputLabel value="Aluno:" for="aluno" />
        	<p:autoComplete id="aluno" dropdown="true" value="#{concluinte.processo.aluno}" completeMethod="#{concluinte.autoCompleteAluno}" var="aluno" itemLabel="#{aluno.nome}" itemValue="#{aluno}" forceSelection="true" converter="alunoConverter"/>
        	
        	<h:outputLabel for="nota" value="Nota do aluno:" style="font-weight:bold" />
			<p:inputText id="nota" value="#{concluinte.processo.nota}" />
		        	
        	
        	<p:commandButton value="Salvar" actionListener="#{concluinte.salvarProcesso}" icon="ui-icon-check"/>
		</h:panelGrid>
    </h:form>
    
    
    #{concluinte.processo}
</h:body>
</html>
